Themabewertung:
  • 0 Bewertung(en) - 0 im Durchschnitt
  • 1
  • 2
  • 3
  • 4
  • 5
Installieren Sie OpenSim ermüdungsfrei mit einer install.sh
#1
Dies und ein Skript SH, um einen vollständigen OpenSim-Server zu installieren

putty-Befehl
nano install.sh
Kopieren Einfügen
Strg o, dann m, dann x

#OpenSim_0.9.3
#apt install dos2unix
#dos2unix install.sh
#chmod +x install.sh
#./install.sh

sudo apt install libgdiplus wine screen zip unzip -y
sudo apt install apache2 curl subversion php7.4 php7.4-gd php7.4-zip libapache2-mod-php7.4 php7.4-curl php7.4-mysql php7.4-xmlrpc php-pear mariadb-server-10.3 php7.4-mbstring git php-bcmath -y
sudo sed -i "s/^bind-address.*/bind-address=0.0.0.0/g" "/etc/mysql/mariadb.conf.d/50-server.cnf"
sudo mysql_secure_installation
sudo apt install phpmyadmin

wget https://packages.microsoft.com/config/ub...t-prod.deb -O packages-microsoft-prod.deb
sudo dpkg -i packages-microsoft-prod.deb
rm packages-microsoft-prod.deb
sudo apt update
sudo apt install dotnet-runtime-deps-6.0


wget https://dot.net/v1/dotnet-install.sh -O dotnet-install.sh
chmod +x ./dotnet-install.sh
./dotnet-install.sh --version latest
./dotnet-install.sh --version latest --runtime aspnetcore
./dotnet-install.sh --channel 5.0
./dotnet-install.sh --channel 6.0
./dotnet-install.sh --channel 7.0
./dotnet-install.sh --channel 8.0
sudo apt update && \
sudo apt install -y aspnetcore-runtime-5.0
sudo apt update && \
sudo apt install -y aspnetcore-runtime-6.0
sudo apt update && \
sudo apt install -y aspnetcore-runtime-7.0
sudo apt update && \
sudo apt install -y aspnetcore-runtime-8.0

sudo apt install -y dotnet-runtime-5.0
sudo apt install -y dotnet-runtime-6.0
sudo apt install -y dotnet-runtime-7.0
sudo apt install -y dotnet-runtime-8.0

sudo apt install zlib1g


wget https://packages.microsoft.com/config/ub...t-prod.deb -O packages-microsoft-prod.deb
sudo dpkg -i packages-microsoft-prod.deb
rm packages-microsoft-prod.deb

sudo apt update && \
sudo apt install -y dotnet-sdk-5.0

sudo apt update && \
sudo apt install -y aspnetcore-runtime-5.0

sudo apt install -y dotnet-runtime-5.0

sudo apt update && \
sudo apt install -y dotnet-sdk-6.0

sudo apt install -y dotnet-runtime-6.0

sudo apt update && \
sudo apt install -y aspnetcore-runtime-6.0

sudo apt update && \
sudo apt install -y dotnet-sdk-7.0

sudo apt install -y dotnet-runtime-7.0

sudo apt update && \
sudo apt install -y aspnetcore-runtime-7.0

sudo apt update && \
sudo apt install -y dotnet-sdk-8.0

sudo apt update && \
sudo apt install -y aspnetcore-runtime-8.0

sudo apt install -y dotnet-runtime-8.0

sudo apt install zlib1g

sudo apt install python-setuptools

sudo apt install nant libmono-microsoft-visualbasic10.0-cil

dotnet tool install -g dotnet-script

sudo apt install libopenblas-base

git clone git://opensimulator.org/git/opensim opensim
cd opensim
svn co http://www.nsl.tuis.ac.jp/svn/opensim/op...ency/trunk opensim.currency

cd opensim/addon-modules/

wget http://royalgrid.servegame.com/modules-dotnet.zip

unzip modules-dotnet.zip

cd

cd opensim

git checkout dotnet6

./runprebuild.sh
dotnet build --configuration Release OpenSim.sln

cd opensim.currency

./runprebuild.net.sh

./build.net.sh

./build_opensim.sh

#sudo mysql -u root -p

#use mysql;

#select User,Password,Plugin from user where User='root';

#SET PASSWORD FOR 'root'@'localhost' = PASSWORD('opensim');

#UPDATE user SET plugin='mysql_native_password' WHERE User='root';

#flush privileges;

#exit;
[-] The following 3 users say Thank You to royalgrid for this post:
  • Bogus Curry, Dorena Verne, Pius Noel
Zitieren
#2
Hallo Royalgrid,
Danke für das Script, könntest das ganze noch als script markieren ? Glaube das nicht alle das gepostete als script erkennen.

Vielleicht durch

===========

Dann wird ganze besser erkennbar
Signatur
Have a nice Day ;D

>> BogusMusikRausch jeweils Donnerstag um 20 Uhr in Uwes KeulenBar

Tschöö

Bogus | PinguinsReisen.de | M: @gse@norden.social
Zitieren
#3
Aber warum installierst du denn so viel?
aspnetcore runtime und DOTNET 6.0 reicht.
Du solltest auch die Versionszahlen weglassen php7.4 php7.4-gd... schreibt man nicht, sondern php php-gd... sonst wird das alte Zeug installiert.
Ein Metaversum sind viele kleine Räume, die nahtlos aneinander passen,
sowie direkt sichtbar und begehbar sind, als wäre es aus einem Guss.



Zitieren
#4
Ich verwende die Version modules-dotnet8

php7.4 für meine PHP-Dateien, die in PHP8 nicht funktionieren

https://download.osgrid.org/
[-] The following 2 users say Thank You to royalgrid for this post:
  • Bogus Curry, Manfred Aabye
Zitieren
#5
Ach so, ja OK, dann wird mir klar, warum freeswitch nicht bei mir läuft.
Aber im 2. Quartal 2024 kommt ja schon WebRTC.
Ein Metaversum sind viele kleine Räume, die nahtlos aneinander passen,
sowie direkt sichtbar und begehbar sind, als wäre es aus einem Guss.



[-] The following 1 user says Thank You to Manfred Aabye for this post:
  • Pius Noel
Zitieren
#6
Ich bin jetzt nicht auf dem laufenden was in OpenSim bezüglich WebRTC konkret geplant ist, aber ich bezweifle, dass das dann im 2. Quartal schon funktioniert. Wie auch immer, es wird kommen! Wink
Zitieren
#7
Vielleicht funktioniert es, aber ändern Sie das Sprach-Plugin in den Viewern, da Vivox Voice On den Freeswitch-Zugriff auf den neuen Firestorm blockiert
Zitieren
#8
Sie können testen, ob Ihre Stimme für Freeswitch My Grid funktioniert, und FreeSwitch Server Voice öffnen und verwenden
loginuri pour hypergrid : http://royalgrid.servegame.com:8002
[-] The following 2 users say Thank You to royalgrid for this post:
  • Dorena Verne, Pius Noel
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  OpenSim PBR Textures Zip Manfred Aabye 0 52 17.06.2024, 15:03
Letzter Beitrag: Manfred Aabye
  Server-Tutorial: Linux und OpenSim Mareta Dagostino 39 75.819 11.05.2024, 23:11
Letzter Beitrag: Mareta Dagostino
  Hilfe benötigt: Benutzerkonten-Erstellung in OpenSim über PHP Skimi 5 788 25.03.2024, 20:28
Letzter Beitrag: Manfred Aabye
  Opensim Server für jede Region separat starten Skimi 18 2.305 21.03.2024, 22:51
Letzter Beitrag: Manfred Aabye
  Fehlermeldung "mono OpenSim.exe" Kalkofe 12 1.649 01.01.2024, 02:42
Letzter Beitrag: Ezry Aldrin

Gehe zu:


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste